# Method: accounts.reports.saved.list

- [HTTP request](https://developers.google.com/adsense/management/reference/rest/v2/accounts.reports.saved/list#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/adsense/management/reference/rest/v2/accounts.reports.saved/list#body.PATH_PARAMETERS)
- [Query parameters](https://developers.google.com/adsense/management/reference/rest/v2/accounts.reports.saved/list#body.QUERY_PARAMETERS)
- [Request body](https://developers.google.com/adsense/management/reference/rest/v2/accounts.reports.saved/list#body.request_body)
- [Response body](https://developers.google.com/adsense/management/reference/rest/v2/accounts.reports.saved/list#body.response_body)
  - [JSON representation](https://developers.google.com/adsense/management/reference/rest/v2/accounts.reports.saved/list#body.ListSavedReportsResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://developers.google.com/adsense/management/reference/rest/v2/accounts.reports.saved/list#body.aspect)
- [Try it!](https://developers.google.com/adsense/management/reference/rest/v2/accounts.reports.saved/list#try-it)

Lists saved reports.

### HTTP request

`GET https://adsense.googleapis.com/v2/{parent=accounts/*}/reports/saved`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` Required. The account which owns the collection of reports. Format: accounts/{account} |

### Query parameters

| Parameters ||
|---|---|
| `pageSize` | `integer` The maximum number of reports to include in the response, used for paging. If unspecified, at most 10000 reports will be returned. The maximum value is 10000; values above 10000 will be coerced to 10000. |
| `pageToken` | `string` A page token, received from a previous `saved.list` call. Provide this to retrieve the subsequent page. When paginating, all other parameters provided to `saved.list` must match the call that provided the page token. |

### Request body

The request body must be empty.

### Response body

Response definition for the saved reports list rpc.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "savedReports": [ { object (`https://developers.google.com/adsense/management/reference/rest/v2/SavedReport`) } ], "nextPageToken": string } ``` |

| Fields ||
|---|---|
| `savedReports[]` | ``object (`https://developers.google.com/adsense/management/reference/rest/v2/SavedReport`)`` The reports returned in this list response. |
| `nextPageToken` | `string` Continuation token used to page through reports. To retrieve the next page of the results, set the next request's "pageToken" value to this. |

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/adsense`
- `
  https://www.googleapis.com/auth/adsense.readonly`